<template>
  <public-sector>
    <div></div>
    <template v-slot:tabs>
      <public-tabs></public-tabs>
    </template>
    <template v-slot:table>
      <public-table ref="table"></public-table>
    </template>
    <template v-slot:video>
      <public-video></public-video>
    </template>
  </public-sector>
</template>

<script>

// import '@/utils/dragBoxes'
import PublicTabs from '@components/BaseNav/WasteSolid/PublicTabs'
import PublicTable from '@components/BaseNav/WasteSolid/PublicTable'
import PublicVideo from '@components/BaseNav/PublicVideo'
import PublicSector from '@components/BaseNav/PublicSector'

export default {
  name: 'WasteSolidIndex',
  props: ['title'],
  components: {
    // WasteSolid,
    PublicSector,
    PublicTabs,
    PublicTable,
    PublicVideo
  },
  mounted () {
    console.log(this.title)
  },
  data () {
    return {
      displayContentTabs: [{
        StoragePlaceId: 0,
        StoragePlaceName: '取水单元干泥暂存库',
        DesignFloorArea: 0.024,
        StorageQty: 0.016,
        SurplusFloorArea: 0.018,
        StorageDate: '2021-01-17'
      }],
      displayContentTable: '',
      flag: false
    }
  },
  methods: {
    // 固废相关信息设置
    setData (title, dataBasic, dataDetailed, value) {
      this.flag = true
      this.value = value
      this.displayContentTitle = title
      this.displayContentTab = dataBasic[0]
      this.displayContentTable = dataDetailed[0]
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 2000;
  position: absolute;
  top: 35%;
  left: 20%;

  .public-bounced-title {
    cursor: move;
    height: 0.1rem;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: #C0C4CC;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }

    i:hover {
      color: #00fff6;
    }
  }

  .public-bounced-content {
    padding: 0.1rem;
    display: flex;
    //align-items: center;
    //justify-content: space-around;

    .public-bounced-content-left {
      //width: 4.8rem;
    }

    .public-bounced-content-right {
      //width: 3rem;
      margin-left: 0.1rem;
    }
  }
}
</style>
